# 🔒 Privacy

_Accessibility to information by a third party. That's our top priority!

- Server is rented by you, belongs only to you
- **No** telemetry, cookies, logs, licenses, moderation, user agreements, tracking etc.
- All connections to the server are securely encrypted
- VPN

## 🗓️ How else will we increase privacy?
- Encrypting data on the server
- Installing **SelfPrivacy Server** on an iron PC (intel nuc / rpi4)
- DNS-resolver
- Private Server-to-Server Interoperability Transport (yaggdrasil)
- Backup to Decentralized Storage ([Tahoe-LAFS](https://tahoe-lafs.org) or [NextCloud p2p](https://nextcloud.com/blog/beta-of-peer-to-peer-nextcloud-backup-app-now-available-for-testing/))

## ⚠️ Restrictions
The virtual server is not exclusively private. The service provider technically has access to the memory and disk of your server. A virtual server is much more private than a centralized public service!

🗓️ We are working on making SelfPrivacy Server possible to install on your server at home

![Privacy explanation](privacy.svg)