# 🔀 Roadmap
roadmap for project development
## ⚠️ Beta
The current release is not yet ready for everyday use by an unskilled user.

## ️ Project development vectors
## in descending order of priority
- [Privacy](privacy.md)
- [Security](security.md)
- [Accessibility (UI/UX)](accessibility.md)
- [Functionality](services.md)
- [Autonomy](autonomy.md)
- [Anonymity](anon.md)
- [Marketing](marketing.md)
- [DevOps](deploy.md)

## 🗓️ Plan
### v0 (2020) 🏁
- [x] Server deployment from mobile phone
- [x] Automatic backup
- [x] Automatic update
- [x] Turn on and off services
- [x] SSH access for power users

### v1 (2021)
- [ ] <contributor support system
- [ ] Automatic unmounting from backup
- [ ] Automatic disk expansion
- [ ] Automatic memory addition
- [ ] Disk encryption
- [ ] Automatic rollback of failed updates
- [ ] Biometric authentication
- [ ] Launch on Apple Store and Google Play
- [ ] <can delete gmail
- [ ] <collaborative services DNS-slave, p2p backup>
- [ ] <support system

### v2 (2021-2022)
- [ ] Request-driven service installation
- [ ] Support not only cloud server but also hardware (presumably Rpi4)
- [ ] Management of multiple servers from a single mobile app
- [ ] Service UI generation on the backend (json)
- [ ] UI/UX refactoring
- [ ] De-bug-logging to help the users without private data disclosure
- [ ] <explicit key storage system>.
- [ ] <possible in the Enterprise

### v3 (fancy)
- [ ] cluster (microhosting)
- [ ] Private smartphone (PinePhone)
- [ ] Private Desktop